Provides a service that wraps an "unmanaged" vector layer, used as a shared vector layer across the application.

Example:

The application's main component/controller initializes the feature overlay manager with the map:

    ngeoFeatureOverlayMgr.init(map);

Once initialized, components of the application can use the manager to create a feature overlay, configuring it with specific styles:

    let featureOverlay = ngeoFeatureOverlayMgr.getFeatureOverlay();
    featureOverlay.setStyle(myStyle);
    featureOverlay.addFeature(myFeature);

### Hierarchy

- FeatureOverlayMgr

## Index

### Constructors

- constructor

### Properties

- featureUidToGroupIndex_
- groups_
- layer_
- source_

### Methods

- addFeature
- clear
- getFeatureOverlay
- getLayer
- init
- isEmpty
- removeFeature
- setStyle
- styleFunction_

## Constructors

### constructor

- new FeatureOverlayMgr(): FeatureOverlayMgr

- - Defined in src/map/FeatureOverlayMgr.ts:73

  #### Returns FeatureOverlayMgr

## Properties

### featureUidToGroupIndex_

featureUidToGroupIndex_: {}

- Defined in src/map/FeatureOverlayMgr.ts:65

#### Type declaration

- ##### [x: string]: number

### groups_

groups_: MapFeatureOverlayGroup[]

- Defined in src/map/FeatureOverlayMgr.ts:67

### layer_

layer_: VectorLayer<VectorSource<Geometry>>

- Defined in src/map/FeatureOverlayMgr.ts:71

### source_

source_: VectorSource<Geometry>

- Defined in src/map/FeatureOverlayMgr.ts:69

## Methods

### addFeature

- addFeature(feature: Feature<Geometry>, groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.ts:101

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to add.

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns void

### clear

- clear(groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.ts:126

  #### Parameters

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns void

### getFeatureOverlay

- getFeatureOverlay(): FeatureOverlay

- - Defined in src/map/FeatureOverlayMgr.ts:146

  #### Returns FeatureOverlay

  Feature overlay.

### getLayer

- getLayer(): VectorLayer<VectorSource<Geometry>>

- - Defined in src/map/FeatureOverlayMgr.ts:139

  #### Returns VectorLayer<VectorSource<Geometry>>

  The vector layer used internally.

### init

- init(map: Map): void

- - Defined in src/map/FeatureOverlayMgr.ts:158

  #### Parameters

  - ##### map: Map

    Map.

  #### Returns void

### isEmpty

- isEmpty(groupIndex: number): boolean

- - Defined in src/map/FeatureOverlayMgr.ts:91

  #### Parameters

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns boolean

  True if the group has no features. False otherwise.

### removeFeature

- removeFeature(feature: Feature<Geometry>, groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.ts:114

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to add.

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns void

### setStyle

- setStyle(style: StyleLike, groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.ts:166

  #### Parameters

  - ##### style: StyleLike

    Style to apply.

  - ##### groupIndex: number

    Group index.

  #### Returns void

### styleFunction_

- styleFunction_(feature: Feature<Geometry> | RenderFeature, resolution: number): void | Style | Style[]

- - Defined in src/map/FeatureOverlayMgr.ts:177

  #### Parameters

  - ##### feature: Feature<Geometry> | RenderFeature

    Feature.

  - ##### resolution: number

    Resolution.

  #### Returns void | Style | Style[]

  Styles.

Generated using TypeDoc